# Using the Structural API to perform tasks

{% hint style="info" %}
The examples and documentation are based on the most recently released version of the Tonic Structural API.
{% endhint %}

For more detailed information about the Structural API endpoints, parameters, and responses, go to the Structural generated [API documentation](https://docs.tonic.ai/app/api-documentation#viewing-generated-api-documentation).

## Configure Structural

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Configure environment settings</strong></td><td>Configure values of selected Structural environment settings.</td><td></td><td><a href="quick-start-guide/tonic-api-configure-environment-settings">tonic-api-configure-environment-settings</a></td></tr><tr><td><strong>Manage generator presets (Advanced API)</strong></td><td>Configure generator presets.</td><td></td><td><a href="quick-start-guide/api-generator-presets">api-generator-presets</a></td></tr><tr><td><strong>Manage custom sensitivity rules (Advanced API)</strong></td><td>Define rules to detect sensitivity types that are specific to your data.</td><td></td><td><a href="quick-start-guide/api-custom-sensitivity-rules">api-custom-sensitivity-rules</a></td></tr></tbody></table>

## Connect to your data

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Create a workspace</strong></td><td>Create a new workspace.</td><td></td><td><a href="quick-start-guide/tonic-api-create-workspace">tonic-api-create-workspace</a></td></tr><tr><td><strong>Connect to source and destination data</strong></td><td>Establish the connections to the source and destination databases.</td><td></td><td><a href="quick-start-guide/tonic-api-data-connections">tonic-api-data-connections</a></td></tr><tr><td><strong>Manage file groups</strong></td><td>Create and manage file groups in a file connector workspace.</td><td></td><td><a href="quick-start-guide/tonic-api-file-groups">tonic-api-file-groups</a></td></tr></tbody></table>

## Configure and run data generation

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Assign table modes (Advanced API)</strong></td><td>Assign table modes to tables in the source data.</td><td></td><td><a href="quick-start-guide/tonic-api-table-modes">tonic-api-table-modes</a></td></tr><tr><td><strong>Set column sensitivity</strong></td><td>Indicate manually whether columns contain sensitive information.</td><td></td><td><a href="quick-start-guide/tonic-api-column-sensitivity">tonic-api-column-sensitivity</a></td></tr><tr><td><strong>Assign generators (Advanced API)</strong></td><td>Assign generators to source data columns.</td><td></td><td><a href="quick-start-guide/tonic-api-generator-assignment">tonic-api-generator-assignment</a></td></tr><tr><td><strong>Update subsetting configuration (Advanced API)</strong></td><td>Configure subsetting to generate a smaller set of transformed data.</td><td></td><td><a href="quick-start-guide/tonic-api-subsetting-config">tonic-api-subsetting-config</a></td></tr><tr><td><strong>View and resolve schema changes</strong></td><td>View and resolve changes to the source data schema.</td><td></td><td><a href="quick-start-guide/tonic-api-schema-changes">tonic-api-schema-changes</a></td></tr><tr><td><strong>Run data generation</strong></td><td>Start a data generation job.</td><td></td><td><a href="quick-start-guide/tonic-api-data-generation">tonic-api-data-generation</a></td></tr><tr><td><strong>Schedule data generation</strong></td><td>Create and manage automated schedules for data generation.</td><td></td><td><a href="quick-start-guide/api-data-generation-schedule">api-data-generation-schedule</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
